#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t;
    while(t--){
        long long n, m, k;
        cin >> n >> m >> k;
        if(k*((n/k)*(n/k+1)/2)+((n/k+1)*(n%k))<=m) cout<<"Tak"<<"\n";

        else cout<<"Nie";
    }

}